# ezQuake Manual: Command if

Condition clause.

Syntax:
if `<expr1> <operator> <expr2> <cmd1> [else <cmd1>]`

expr1
  A string where you usually use your own text, macros, and values of variables (like $volume).
operator
  ==, =, !=, <>, >, <, >=, <=, isin, !isin. Where 'isin' means "expr1 is a substring of expr2" and '!isin' is a negation of this. The others are standard mathematical comparison.
expr2
  See expr1
cmd1
  Will get executed if the binary operation succeeds.
cmd2
  Will get executed if the binary operation fails.

See 'Scripting' manual page for more help.

Last update: 07.12.2005 13:32 PST, made by JohnNy_cz